import { ConfigPreset } from '../model/ConfigPreset';
declare type MongoParams = {
    target: string;
    reset: boolean;
};
export declare class MongoService {
    private readonly root;
    protected readonly params: MongoParams;
    constructor(root: string, params: MongoParams);
    run(): Promise<void>;
    initDb(presetData: ConfigPreset): Promise<void>;
}
export {};
